NotificationControllerGetNotifications Method |
Note: This API is now obsolete.
GET /Notification/
OBSOLETE - Use GET /Notification/CurrentUser instead.
Gets all notifications of the current user.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ObsoleteAttribute("Use /Notification/CurrentUser (GetCurrentUsersNotifications) instead.")]
[ActionNameAttribute("Index")]
public IActionResult GetNotifications(
Guid? sessionId = null
)<HttpGetAttribute>
<ObsoleteAttribute("Use /Notification/CurrentUser (GetCurrentUsersNotifications) instead.")>
<ActionNameAttribute("Index")>
Public Function GetNotifications (
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ObsoleteAttribute(L"Use /Notification/CurrentUser (GetCurrentUsersNotifications) instead.")]
[ActionNameAttribute(L"Index")]
IActionResult^ GetNotifications(
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ObsoleteAttribute("Use /Notification/CurrentUser (GetCurrentUsersNotifications) instead.")>]
[<ActionNameAttribute("Index")>]
member GetNotifications :
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
NotificationData objects containing the notification data, or a status code indicating the problem.
See Also